> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve billing usage information for a given billing id



## OpenAPI

````yaml get /api/v1/usage/{bid}
openapi: 3.0.0
info:
  title: Oneloop API
  version: 1.0.0
  description: API Key Management
servers:
  - url: https://prod.oneloop.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/usage/{bid}:
    get:
      summary: Retrieve billing usage information for a given billing id
      operationId: getBillingUsage
      parameters:
        - schema:
            type: string
            description: The billing id.
          required: true
          name: bid
          in: path
      responses:
        '200':
          description: The billing usage information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetrieveCustomerBillingMeterUsageResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    RetrieveCustomerBillingMeterUsageResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              billingId:
                type: string
              day:
                type: string
              totalBillingUsage:
                type: string
                pattern: ^d+$
              billingUsageName:
                type: string
            required:
              - billingId
              - day
              - totalBillingUsage
              - billingUsageName
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
              minimum: 0
              exclusiveMinimum: true
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````